Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl
Class XML11DocumentScannerImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.XMLScanner
            |
            +--weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
                  |
                  +--weblogic.apache.xerces.impl.XMLDocumentScannerImpl
                        |
                        +--weblogic.apache.xerces.impl.XML11DocumentScannerImpl

public class XML11DocumentScannerImpl
extends XMLDocumentScannerImpl

This class is responsible for scanning XML document structure and content. The scanner acts as the source for the document information which is communicated to the document handler.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/namespaces
- http://xml.org/sax/features/validation
- http://apache.org/xml/features/nonvalidating/load-external-dtd
- http://apache.org/xml/features/scanner/notify-char-refs
- http://apache.org/xml/features/scanner/notify-builtin-refs
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-manager
- http://apache.org/xml/properties/internal/dtd-scanner

Inner classes inherited from class weblogic.apache.xerces.impl.XMLDocumentScannerImpl
`XMLDocumentScannerImpl.ContentDispatcher, XMLDocumentScannerImpl.DTDDispatcher, XMLDocumentScannerImpl.PrologDispatcher, XMLDocumentScannerImpl.TrailingMiscDispatcher, XMLDocumentScannerImpl.XMLDeclDispatcher`

Inner classes inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
`XMLDocumentFragmentScannerImpl.Dispatcher, XMLDocumentFragmentScannerImpl.ElementStack, XMLDocumentFragmentScannerImpl.FragmentContentDispatcher`

Fields inherited from class weblogic.apache.xerces.impl.XMLDocumentScannerImpl
`DTD_SCANNER, fDoctypeName, fDoctypePublicId, fDoctypeSystemId, fDTDDispatcher, fDTDScanner, fLoadExternalDTD, fPrologDispatcher, fScanningDTD, fSeenDoctypeDecl, fTrailingMiscDispatcher, fValidationManager, fXMLDeclDispatcher, LOAD_EXTERNAL_DTD, SCANNER_STATE_DTD_EXTERNAL, SCANNER_STATE_DTD_EXTERNAL_DECLS, SCANNER_STATE_DTD_INTERNAL_DECLS, SCANNER_STATE_PROLOG, SCANNER_STATE_TRAILING_MISC, SCANNER_STATE_XML_DECL, VALIDATION_MANAGER`

Fields inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
`fContentDispatcher, fCurrentElement, fDispatcher, fDocumentHandler, fDocumentSystemId, fElementStack, fEntityStack, fHasExternalDTD, fInScanContent, fMarkupDepth, fNamespaces, fNotifyBuiltInRefs, fScannerState, fStandalone, NAMESPACES, NOTIFY_BUILTIN_REFS, SCANNER_STATE_CDATA, SCANNER_STATE_COMMENT, SCANNER_STATE_CONTENT, SCANNER_STATE_DOCTYPE, SCANNER_STATE_END_OF_INPUT, SCANNER_STATE_PI, SCANNER_STATE_REFERENCE, SCANNER_STATE_ROOT_ELEMENT, SCANNER_STATE_START_OF_MARKUP, SCANNER_STATE_TERMINATED, SCANNER_STATE_TEXT_DECL`

Fields inherited from class weblogic.apache.xerces.impl.XMLScanner
`DEBUG_ATTR_NORMALIZATION, ENTITY_MANAGER, ERROR_REPORTER, fAmpSymbol, fAposSymbol, fCharRefLiteral, fEncodingSymbol, fEntityDepth, fEntityManager, fEntityScanner, fErrorReporter, fGtSymbol, fLtSymbol, fNotifyCharRefs, fQuotSymbol, fReportEntity, fResourceIdentifier, fScanningAttribute, fStandaloneSymbol, fSymbolTable, fValidation, fVersionSymbol, NOTIFY_CHAR_REFS, SYMBOL_TABLE, VALIDATION`

Constructor Summary
`XML11DocumentScannerImpl()` Default constructor.

Method Summary
`protected void` | `normalizeWhitespace(XMLString value)` Normalize whitespace in an XMLString converting all whitespace characters to space characters.
`protected void` | `scanAttributeValue(XMLString value, XMLString nonNormalizedValue, java.lang.String atName, XMLAttributes attributes, int attrIndex, boolean checkEntities)` Scans an attribute value and normalizes whitespace converting all whitespace characters to space characters.
`protected int` | `scanContent()` Scans element content.
`protected boolean` | `scanPubidLiteral(XMLString literal)` Scans public ID literal.
`protected void` | `scanXMLDeclOrTextDecl(boolean scanningTextDecl, java.lang.String[] pseudoAttributeValues)` Scans an XML or text declaration.

Methods inherited from class weblogic.apache.xerces.impl.XMLDocumentScannerImpl
`createContentDispatcher, endEntity, getRecognizedFeatures, getRecognizedProperties, getScannerStateName, reset, scanDoctypeDecl, setFeature, setInputSource, setProperty, startEntity`

Methods inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
`getDispatcherName, getDocumentHandler, handleEndElement, scanAttribute, scanCDATASection, scanCharReference, scanComment, scanDocument, scanEndElement, scanEntityReference, scanPIData, scanStartElement, scanXMLDeclOrTextDecl, setDispatcher, setDocumentHandler, setScannerState`

Methods inherited from class weblogic.apache.xerces.impl.XMLScanner
`getFeature, reportFatalError, reset, scanCharReferenceValue, scanComment, scanExternalID, scanPI, scanPseudoAttribute, scanSurrogates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML11DocumentScannerImpl

    public XML11DocumentScannerImpl()

  Default constructor.

Method Detail

### scanContent

    protected int scanContent()
                       throws java.io.IOException,
                              XNIException

  Scans element content.

  Overrides:
    scanContent in class XMLDocumentFragmentScannerImpl

### scanXMLDeclOrTextDecl

    protected void scanXMLDeclOrTextDecl(boolean scanningTextDecl,
                                         java.lang.String[] pseudoAttributeValues)
                                  throws java.io.IOException,
                                         XNIException

  Scans an XML or text declaration.

       [23] XMLDecl ::= ''
       [24] VersionInfo ::= S 'version' Eq (' VersionNum ' | " VersionNum ")
       [80] EncodingDecl ::= S 'encoding' Eq ('"' EncName '"' |  "'" EncName "'" )
       [81] EncName ::= [A-Za-z] ([A-Za-z0-9._] | '-')*
       [32] SDDecl ::= S 'standalone' Eq (("'" ('yes' | 'no') "'")
                       | ('"' ('yes' | 'no') '"'))

       [77] TextDecl ::= ''

  this was overridden to allow for version="1.1"

  Parameters:
    `scanningTextDecl` - True if a text declaration is to be scanned instead of an XML declaration.
    `pseudoAttributeValues` - An array of size 3 to return the version, encoding and standalone pseudo attribute values (in that order). Note: This method uses fString, anything in it at the time of calling is lost.
  Overrides:
    scanXMLDeclOrTextDecl in class XMLScanner

### scanAttributeValue

    protected void scanAttributeValue(XMLString value,
                                      XMLString nonNormalizedValue,
                                      java.lang.String atName,
                                      XMLAttributes attributes,
                                      int attrIndex,
                                      boolean checkEntities)
                               throws java.io.IOException,
                                      XNIException

  Scans an attribute value and normalizes whitespace converting all whitespace characters to space characters. [10] AttValue ::= '"' ([^<&"] | Reference)* '"' | "'" ([^<&'] | Reference)* "'"

  Parameters:
    `value` - The XMLString to fill in with the value.
    `nonNormalizedValue` - The XMLString to fill in with the non-normalized value.
    `atName` - The name of the attribute being parsed (for error msgs).
    `attributes` - The attributes list for the scanned attribute.
    `attrIndex` - The index of the attribute to use from the list.
    `checkEntities` - true if undeclared entities should be reported as VC violation, false if undeclared entities should be reported as WFC violation. Note: This method uses fStringBuffer2, anything in it at the time of calling is lost.
  Overrides:
    scanAttributeValue in class XMLScanner

### scanPubidLiteral

    protected boolean scanPubidLiteral(XMLString literal)
                                throws java.io.IOException,
                                       XNIException

  Scans public ID literal. [12] PubidLiteral ::= '"' PubidChar* '"' | "'" (PubidChar - "'")* "'" [13] PubidChar::= #x20 | #xD | #xA | [a-zA-Z0-9] | [-'()+,./:=?;!*#@$_%] The returned string is normalized according to the following rule, from http://www.w3.org/TR/REC-xml#dt-pubid: Before a match is attempted, all strings of white space in the public identifier must be normalized to single space characters (#x20), and leading and trailing white space must be removed.

  Parameters:
    `literal` - The string to fill in with the public ID literal.
  Overrides:
    scanPubidLiteral in class XMLScanner

### normalizeWhitespace

    protected void normalizeWhitespace(XMLString value)

  Normalize whitespace in an XMLString converting all whitespace characters to space characters.

  Overrides:
    normalizeWhitespace in class XMLScanner

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD